<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\Pracovisko\PocetKontrolPodlaDruhuAHodnotenia;

use Seka\Portal\Modul\Statistiky\Entities\Zaznam\Zaznam;
use Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableBuilderContract;
use Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableContract;

/**
 * Class PocetKontrolPodlaDruhuAHodnoteniaDataTableBuilder
 *
 * @package Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\Pracovisko\PocetKontrolPodlaDruhuAHodnotenia
 */
final class PocetKontrolPodlaDruhuAHodnoteniaDataTableBuilder implements DataTableBuilderContract
{
    /**
     * @param \Seka\Portal\Modul\Statistiky\Entities\Zaznam\Zaznam $model
     *
     * @return \Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableContract
     */
    public static function build(Zaznam $model): DataTableContract
    {
        $dataTable = new PocetKontrolPodlaDruhuAHodnoteniaDataTable();

        foreach ($model->udaje->zoznamPoctuKontrolPodlaDruhuAHodnotenia() as $item) {
            $row = new PocetKontrolPodlaDruhuAHodnoteniaDataTableRow($item->druh());
            $row->add($item);
            $dataTable->addRow($row);
        }

        return $dataTable;
    }
}
